GraphQL / Object Interface Related Structures.| Parameter Name | Required | Type | Explanation |
|---|---|---|---|
| userId | no | string | User's userId |
| pageNum | no | int | Current page number, defaults to 1 |
| pageSize | no | int | Number of results per page, defaults to 20 |
| query | no | string | Search keyword, can be empty |
| queryFields | no | []string | Search Fields, default all string fields. |
| tsRange | no | MsgReqTsRange | Search time range is set to one month by default. |
| filters | no | MsgReqObjectsFilters | Object owner users and groups |
| permission | yes | MsgReqObjectsPermission | Permissions required to search objects |
| sort | no | int | Sorting method, defaults to relevance sorting; 1 for creation time sorting, 2 for tag sorting (sortByTag must be provided), 3 for update time sorting, 4 for object name sorting, 5 for status sorting, 6 for status sorting by custom(sortByCustom must be provided) |
| ascending | no | bool | Set whether the sorting is in ascending order. Default is false, which means descending order. |
| sortByTag | no | String | If sorting by tag, needs to specify the order of tags; results will be returned in this order |
| sortByCustom | no | String | If sorting by custom, needs to specify the order of custom fileds; results will be returned in this order |
| noAggs | no | Boolean | Whether to return aggregation results; defaults to returning. Set to true to speed up query, do not return |
| noTagDetail | no | Boolean | Whether to return tag details; defaults to returning. Set to true to speed up query, do not return |
| Parameter Name | Required | Type | Explanation |
|---|---|---|---|
| field | no | string | Field for the time range, can be updateTimestamp or createTimestamp; defaults to createTimestamp |
| startTime | no | long | Start time |
| endTime | no | long | End time |
| Parameter Name | Required | Type | Explanation |
|---|---|---|---|
| tags | no | []string | List of tag IDs for filtering by tags |
| objectTypes | no | []string | List of object type strings for filtering by object type, e.g., recording |
| objectIntTypes | no | []int | List of integer values for object types for filtering by object type, e.g., 4 |
| tangibleTypes | no | []string | Filtering by tangible types, due to technical limitations, pagination is not supported when filtering by Tangible Types. To retrieve as many results as possible in a single request, you must set the pageSize parameter to a large value. Note: It is recommended to set the pageSize to a maximum of 2000. Exceeding this threshold may lead to performance degradation or request timeouts. |
| sources | no | []string | List of sources for filtering by source, only effective when searching for the source object. |
| events | no | []string | List of times for filtering by events, Only effective when searching for the source object. |
| status | no | []int | List of statuses for filtering by object status |
| objectIds | no | []string | List of object IDs for filtering by objectId, usually used to query specific object details |
| deleteFlags | no | []int | List of delete flags for filtering by delete flag; 0: not deleted, 1 2: deleted; defaults to 0 |
| geo | no | []string | List of geographical locations for filtering by geographical location, e.g., Shanghai |
| noDmaShow | no | Boolean | DMA Show flag filtering |
| features | no | []string | Feature filtering |
| needAdmin | no | bool | Admin/owner permission filtering; defaults to false. If true, filters only admin/owner permission objects, ignoring other permission filtering, including features |
| featureWildcardMode | no | int | Feature wildcard-access filter mode. Controls whether results are filtered by the presence of wildcard (*) entries in feature permissions. 0 = no filter (default). 1 = return only objects that have at least one feature permission with * (wildcard/open access). 2 = return only objects where no feature permission contains * (all feature access is explicit) |
| sourceFilter | no | []string | Filter out those that have binding relationships with source. |
| Parameter Name | Required | Type | Explanation |
|---|---|---|---|
| groupIds | no | []string | List of groups |
| userIds | no | []string | List of users |
| wildcardDisabled | no | boolean | Whether to support '*'; defaults to false, supports * filtering |
| Parameter Name | Required | Type | Explanation |
|---|---|---|---|
| errorCode | yes | string | Error code |
| errorInfo | yes | string | Error details |
| result | no | MsgResObject | Query results |
| Parameter Name | Required | Type | Explanation |
|---|---|---|---|
| size | yes | int | Number of items on the current page |
| total | yes | string | Total number of queries |
| tagList | no | MsgResObjectTagInfo | All tag details in the results |
| typeList | no | MsgResTypeList | All type details and quantities in the results |
| tangibleTypeList | no | MsgResTangibleTypeList | All tangible type details and quantities in the results |
| list | yes | []MsgResObjectInfo | List of object results |
| Parameter Name | Required | Type | Explanation |
|---|---|---|---|
| tagId | yes | string | Tag ID |
| tagName | yes | string | Tag name |
| classification | yes | Int | Tag type |
| createTimestamp | yes | long | Tag creation time |
| groupId | no | string | Tag group ID; returns only if the tag is a group tag |
| userId | no | string | Tag user ID; returns only if the tag is a private tag |
| detail | no | []MsgResTypeList | Tag details |
| num | no | MsgResTypeList | Number of objects with this tag in the results |
| Parameter Name | Required | Type | Explanation |
|---|---|---|---|
| objectType | yes | string | The type of object. |
| num | yes | int | Number of objects of this type in the results. |
| Parameter Name | Required | Type | Explanation |
|---|---|---|---|
| tangibleType | yes | string | The tangible type bound to the object. |
| num | yes | int | Number of tangible of this type in the results |
| Parameter Name | Required | Type | Explanation |
|---|---|---|---|
| objectId | yes | long | Object ID |
| objectIdStr | yes | string | The id of object, returned as a string. |
| objectName | no | string | The name of object. |
| objectType | no | int | The type of object. |
| objectTypeStr | no | string | Object type, returned as a string |
| nestedObjects | no | []NestedObjects | List of associated object properties; currently only output objects have this attribute |
| description | no | string | Description |
| admin | no | EntitlementInfo | Admin permissions |
| owner | no | EntitlementInfo | Owner permissions |
| features | no | []ObjectFeatureInfo | Feature permissions |
| createTimestamp | no | long | Creation time |
| updateTimestamp | no | long | Update time |
| deleteFlag | no | int | Delete flag |
| dmaEmbargo | no | boolean | DMA flag |
| geoInfo | no | []GeoLocationInfo | Geographical location details (latitude and longitude) |
| location | no | []string | Names of the cities where the geographical location is located |
| origin | no | string | Source of the object (which service created it) |
| recyclingBinTime | no | long | Object recycling time |
| tags | no | []string | List of tag IDs bound to the object |
| tagsInfo | no | []ObjectTagInfo | List of tag details bound to the object |
| tangibleInfo | no | []TangibleInfo | The result is a tangible list sorted by the priority of bindings. If bindings share the same priority, sort them by their tangible creation time. |
| thumbnail | no | string | Object thumbnail |
| highlight | no | Any | Highlight display for hits |
| attributes | no | Any | object trributes |
curl --location 'https://mma.tvunetworks.com/api/objectd/v1/query' \
--header 'SID: ' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"query": "query getObject { getObject( input: { userId: \"8908ca444f9ec2d901604f495fed01aa\", pageNum: 1, pageSize: 20, query: \"\", tsRange: { startTime: 1704374707000, endTime: 1754374707000, field: \"createTimestamp\" }, filters: { objectIntTypes: [5, 4] }, noAggs: false, noTagDetail: false, permission: { userIds: [\"8908ca444f9ec2d901604f495fed01aa\"] } } ) { errorCode errorInfo result { size list { objectId objectName objectType tangibleInfo { tangibleId tangibleType tangibleName } } total tagList { tagId tagName } typeList { objectType num } } } }"
}'{
"data": {
"getObject": {
"errorCode": "0x0",
"errorInfo": "Succ",
"result": {
"size": 6,
"list": [
{
"objectId": "1238543295056056320",
"objectName": "ddd",
"objectType": 5,
"emaEmbargo": false,
"tangibleInfo": [
{
"tangibleId": "123456",
"tangibleType": "slug",
"tangibleName": "slug"
}
]
},
{
"objectId": "113",
"objectName": "testname113",
"objectType": 4,
"emaEmbargo": null,
"tangibleInfo": [
{
"tangibleId": "testtangibleid2",
"tangibleType": "ext",
"tangibleName": "testtangiblename2"
}
]
},
{
"objectId": "112",
"objectName": "testname112",
"objectType": 4,
"emaEmbargo": null,
"tangibleInfo": [
{
"tangibleId": "testtangibleid2",
"tangibleType": "ext",
"tangibleName": "testtangiblename2"
}
]
},
{
"objectId": "111",
"objectName": "testname111",
"objectType": 4,
"emaEmbargo": null,
"tangibleInfo": [
{
"tangibleId": "testtangibleid2",
"tangibleType": "ext",
"tangibleName": "testtangiblename2"
}
]
},
{
"objectId": "1",
"objectName": "testmodify",
"objectType": 5,
"emaEmbargo": null,
"tangibleInfo": null
},
{
"objectId": "1238427726625509376",
"objectName": "testname1",
"objectType": 4,
"emaEmbargo": null,
"tangibleInfo": null
}
],
"total": 6,
"tagList": null,
"typeList": [
{
"objectType": "Recording",
"num": 4
},
{
"objectType": "Event",
"num": 2
}
]
}
}
}
}